import { Component, OnInit } from '@angular/core';
import { ModalService } from '@libs/ui';

@Component({
  selector: 'app-customer-search-empty-modal',
  templateUrl: './customer-search-empty-modal.component.html',
  styleUrls: ['./customer-search-empty-modal.component.scss'],
})
export class CustomerSearchEmptyModalComponent implements OnInit {
  id = 'customer-search-empty-modal';
  message: string;

  constructor(private modalService: ModalService) {}

  ngOnInit() {}

  openDialog(message: string) {
    this.message = message;
    this.modalService.open(this.id);
  }

  closeDialog() {
    this.modalService.close(this.id);
  }
}
